<?php
ob_start();
// ini_set('display_errors', 1);
// error_reporting(E_ERROR);     
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Customer Print";
$file = "customer_print.php";
$mgrpcode = "010";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$stype = 1;
$name = $_POST['name'];
$country = $_POST['country'];
$contpers = $_POST['contpers'];
$city = $_POST['city'];
$state = $_POST['state'];
$broadcast = $_POST['broadcast'];

$namecond = "";
$countrycond = "";
$contperscond = "";
$citycond = "";
$statecond = "";
$broadcastcond = "";

if (!empty($name)) {
    $namecond = " AND `accode`='$name' ";
}
if (!empty($contpers)) {
    $contperscond = " AND `contpers` LIKE '%$contpers%' ";
}
if (!empty($country)) {
    $countrycond = " AND `country` LIKE '%$country%' ";
}
if (!empty($broadcast)) {
    $broadcastcond = " AND `website` LIKE '%$broadcast%' ";
}
if (!empty($state)) {
    $statecond = " AND `state` = '$state' ";
}
if (!empty($city)) {
    $citycond = " AND `city` LIKE '%$city%' ";
}
$getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $broadcastcond $statecond $contperscond $namecond $citycond $countrycond order by accode") or die(mysqli_error($conn));
if (isset($_POST["view"])) {

    include("includes/linkshead.php");
    ?>
    <!-- <script src="MyScript/item.js" type="text/javascript"></script> -->
    </head>

    <body>
        <div class="container">
            <?php
            include("includes/head_rep.php");
            ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered">
                        <tr class="mySearchTr">
                            <th>Sr</th>
                            <th>Name</th>
                            <th>Address</th>
                            <th>City</th>
                            <th>State</th>
                            <th>Transporter</th>
                            <th>Mobile 1</th>
                            <th>Mobile 2</th>
                            <th>Broadcast</th>
                            <th>Contact Person</th>
                            <th>GST NO</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
                            $getname = mysqli_query($conn, "SELECT name FROM `transport` WHERE `code`='$pmain[transporter]'") or die(mysqli_error($conn));
                            $name = mysqli_fetch_array($getname);

                            echo "<tr>";
                            echo "<td>$ctr</td>";
                            echo "<td>$pmain[name]</td>";
                            echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            echo "<td>$pmain[city]</td>";
                            echo "<td>$pmain[state]</td>";
                            echo "<td>$name[name]</td>";
                            echo "<td>$pmain[mobile]</td>";
                            echo "<td>$pmain[mobile2]</td>";
                            echo "<td>$pmain[website]</td>";
                            echo "<td>$pmain[contpers]</td>";
                            echo "<td>$pmain[gstno]</td>";
                            echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>

    </html>
    <?
}
if (isset($_POST["excel"])) {

    $contents .= "Sr, Name, Address, City, State, Transporter,Mobile 1, Mobile 2, Broadcast, Contact Person,GST NO \n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $getname = mysqli_query($conn, "SELECT name FROM `transport` WHERE `code`='$pmain[transporter]'") or die(mysqli_error($conn));
        $name = mysqli_fetch_array($getname);

        $addr1 = $pmain['add1'] . " " . $pmain['add2'] . " " . $pmain['add3'];

        $addr = str_replace(",", " ", $addr1);


        $contents .= "$ctr" . ",";
        $contents .= "$pmain[name]" . ",";
        $contents .= "$addr" . ",";
        $contents .= "$pmain[city]" . ",";
        $contents .= "$pmain[state]" . ",";
        $contents .= "$name[name]" . ",";
        $contents .= "$pmain[mobile]" . ",";
        $contents .= "$pmain[mobile2]" . ",";
        $contents .= "$pmain[website]" . ",";
        $contents .= "$pmain[contpers]" . ",";
        $contents .= "$pmain[gstno]" . "\n";

        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }

}
if (isset($_POST["subpdf"])) {
    $name = $_POST['name'];
    $country = $_POST['country'];
    $city = $_POST['city'];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ") or die(mysqli_error($conn));


    require("library/fpdf/fpdf.php");

    class pdf extends fpdf
    {

        function Footer()
        {



            //Position at 1.5 cm from bottom

            $this->SetY(-15);

            //Arial italic 8

            $this->SetFont('Arial', 'I', 8);

            //Page number

            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }

    }

    $pdf = new pdf('P', 'mm', 'A4');

    $pdf->AliasNbPages();

    $pdf->AddPage();
    $pdf->SetFont('Arial', 'I', 10);
    $pdf->SetFillColor(200, 220, 255);
    $pdf->Cell(8, 7, "Sr.", 1, 'C');
    $pdf->Cell(50, 7, "Name", 1);
    $pdf->Cell(50, 7, "Address", 1);
    $pdf->Cell(15, 7, "Country", 1);
    $pdf->Cell(15, 7, "City", 1);
    $pdf->Cell(20, 7, "Email", 1);
    $pdf->Cell(15, 7, "Pin", 1);
    $pdf->Cell(20, 7, "Tel", 1);
    $pdf->Ln();
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $pdf->SetFont('Arial', '', 8);
        $pdf->Cell(8, 7, "$ctr", 1, 'C');
        $pdf->Cell(50, 7, "$pmain[name]", 1);
        $pdf->Cell(50, 7, "$pmain[add1]  $pmain[add2]  $pmain[add3]", 1);
        $pdf->Cell(15, 7, "$pmain[country]", 1);
        $pdf->Cell(15, 7, "$pmain[city]", 1);
        $pdf->Cell(20, 7, "$pmain[email]", 1);
        $pdf->Cell(15, 7, "$pmain[pin]", 1);
        $pdf->Cell(20, 7, "$pmain[tel]", 1);

        $ctr++;
        $pdf->Ln();
    }

    $pdf->Output("Customer.pdf", "D");
}
?>